> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/databases/mongodb/overview/maintenance-window.md).

# Maintenance Window

The maintenance window is a weekly four-hour window. All changes that may cause service interruptions, such as version upgrades, are executed within the maintenance windows.

During the maintenance window, uncontrolled disconnections and an inability to connect to the cluster can happen. Such disconnections are destructive for any ongoing transactions, and clients should also reconnect.

### Maintenance window configuration

The maintenance window consists of the following:

* The day of the week to conduct maintenance.
* The expected time to complete the maintenance activity.

Here is an example of a maintenance window configuration:

```
"maintenanceWindow": {
      "time": "15:39:01",
      "dayOfTheWeek": "Friday"
    }
```

For more information, see [<mark style="color:blue;">Create a MongoDB Cluster</mark>](/cloud/databases/mongodb/api/v1-api/create-mongodb-cluster.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/databases/mongodb/overview/maintenance-window.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
